Subject: [MIB-DOCTORS] LISP-MIB: mib-2 versus experimental assignment

From: Benoit Claise <[email-masked]>
Date: Tue, 09 Jul 2013 15:12:25 +0200

Dear MIB-doctors,

I would need your advice, regarding the mib2 versus experimental assignment.

http://tools.ietf.org/html/draft-ietf-lisp-mib-11 intended status is 
experimental.
Therefore, it looks logical to assign the OIDs under the experimental tree.
However, reviewing RFC 4181 section 4.3

        RFC 2578 Section 4  <http://tools.ietf.org/html/rfc2578#section-4>  describes the object identifier subtrees that are
        maintained by IANA and specifies the usages for those subtrees.  In
        particular, the mgmt subtree { iso 3 6 1 2 } is used to identify IETF
        "standard" objects, while the experimental subtree { iso 3 6 1 3 } is
        used to identify objects that are under development in the IETF.  It
        is REQUIRED that objects be moved from the experimental subtree to
        the mgmt subtree when a MIB module enters the IETF standards track.

        Experience has shown that it is impractical to move objects from one
        subtree to another once those objects have seen large-scale use in an
        operational environment.  Hence any object that is targeted for
        deployment in an operational environment MUST NOT be registered under
        the experimental subtree, irrespective of the standardization status
        of that object.  The experimental subtree should be used only for
        objects that are intended for limited experimental deployment.  Such
        objects typically are defined in Experimental RFCs.

If I would ask the author "are you targeting deployment in an 
operational environment?", I'm sure the answer would be yes. On the 
other side, most of the LISP 6 RFCs have an experimental intended status

Where do we draw the line?
 From what I can see on google, LISP is actually deployed today. 
Therefore, I'm inclined to keep draft-ietf-lisp-mib-11 under mib-2 as 
this stage, just in case this MIB is actually used in production networks.

Regards, Benoit

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 9 Jul 2013 17:23:59 +0000

Hi,

I would be inclined also to make the assignment under mib-2. The text in 4181 indicates that assigning under experimental is recommended only for limited experiments, with no predicted deployment in the Internet. This does not seem to be the case with LISP.

Regards,

Dan

From: [email-masked] [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Tuesday, July 09, 2013 4:12 PM
To: MIB Doctors (E-mail)
Cc: IESG IESG
Subject: [MIB-DOCTORS] LISP-MIB: mib-2 versus experimental assignment

Dear MIB-doctors,

http://tools.ietf.org/html/draft-ietf-lisp-mib-11 intended status is experimental.
Therefore, it looks logical to assign the OIDs under the experimental tree.
However, reviewing RFC 4181 section 4.3

   RFC 2578 Section 4<http://tools.ietf.org/html/rfc2578#section-4> describes the object identifier subtrees that are

   objects typically are defined in Experimental RFCs.
If I would ask the author "are you targeting deployment in an operational environment?", I'm sure the answer would be yes. On the other side, most of the LISP 6 RFCs have an experimental intended status

>From what I can see on google, LISP is actually deployed today. Therefore, I'm inclined to keep draft-ietf-lisp-mib-11 under mib-2 as this stage, just in case this MIB is actually used in production networks.

Regards, Benoit

---

From: Benoit Claise <[email-masked]>
Date: Wed, 10 Jul 2013 21:56:44 +0200

Thanks Dan for the confirmation.

Regards, Benoit
>
> Hi,
>
> I would be inclined also to make the assignment under mib-2. The text 
> in 4181 indicates that assigning under experimental is recommended 
> only for limited experiments, with no predicted deployment in the 
> Internet. This does not seem to be the case with LISP.
>
> Regards,
>
> Dan
>
> *From:[email-masked] 
> [mailto:[email-masked]] *On Behalf Of *Benoit Claise
> *Sent:* Tuesday, July 09, 2013 4:12 PM
> *To:* MIB Doctors (E-mail)
> *Cc:* IESG IESG
> *Subject:* [MIB-DOCTORS] LISP-MIB: mib-2 versus experimental assignment
>
> Dear MIB-doctors,
>